org.bdgenomics.adam.models

# ReferencePosition

#### class ReferencePosition extends ReferenceRegion

A single genomic locus.

Linear Supertypes
ReferenceRegion, Serializable, Serializable, Product, Equals, Interval[ReferenceRegion], Comparable[ReferenceRegion], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReferencePosition
2. ReferenceRegion
3. Serializable
4. Serializable
5. Product
6. Equals
7. Interval
8. Comparable
9. AnyRef
10. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReferencePosition(referenceName: String, pos: Long, strand: Strand = ...)

   referenceName

     The name of the reference contig this locus exists on.

   pos

     The position of this locus.

   strand

     The strand that this locus is on.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compareTo(that: ReferenceRegion): Int

   Compares between two regions using the RegionOrdering.

   Compares between two regions using the RegionOrdering.

   that

     The region to compare against.

   returns

     An ordering depending on which region comes first.

   Definition Classes
     ReferenceRegion → Interval → Comparable

9. #### def contains(other: ReferenceRegion): Boolean

   Checks if another region is wholly within our region.

   Checks if another region is wholly within our region.

   other

     The region to compare against.

   returns

     True if the region is wholly contained within our region.

   Definition Classes
     ReferenceRegion

10. #### def contains(other: ReferencePosition): Boolean

    Checks if a position is wholly within our region.

    Checks if a position is wholly within our region.

    other

      The reference position to compare against.

    returns

      True if the position is within our region.

    Definition Classes
      ReferenceRegion

11. #### def covers(other: ReferenceRegion): Boolean

    Checks if our region overlaps (wholly or partially) another region, independent of strand.

    Checks if our region overlaps (wholly or partially) another region, independent of strand.

    other

      The region to compare against.

    returns

      True if any section of the two regions overlap.

    Definition Classes
      ReferenceRegion → Interval

12. #### def disorient: ReferenceRegion

    returns

      Returns a copy of this reference region that is on the independent strand.

    Definition Classes
      ReferenceRegion

13. #### def distance(other: ReferenceRegion): Option[Long]

    Returns the distance between this reference region and another region in the reference space.

    Returns the distance between this reference region and another region in the reference space.

    other

      Region to compare against.

    returns

      Returns an option containing the distance between two points. If the point is not in our reference space, we return an empty option.

    Definition Classes
      ReferenceRegion → Interval
    Note

      Distance here is defined as the minimum distance between any point within this region, and any point within the other region we are measuring against. If the two sets overlap, the distance will be 0. If the sets abut, the distance will be 1. Else, the distance will be greater.

14. #### val end: Long

    Definition Classes
      ReferenceRegion → Interval

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      ReferenceRegion → AnyRef → Any

19. #### def hull(region: ReferenceRegion): ReferenceRegion

    Creates a region corresponding to the convex hull of two regions.

    Creates a region corresponding to the convex hull of two regions. Has no preconditions about the adjacency or overlap of two regions. However, regions must be in the same reference space.

    region

      Other region to compute hull of with this region.

    returns

      The convex hull of both unions.

    Definition Classes
      ReferenceRegion
    Exceptions thrown
      AssertionError

      Thrown if regions are in different reference spaces.

    See also

      merge

20. #### def intersection(region: ReferenceRegion): ReferenceRegion

    Calculates the intersection of two reference regions.

    Calculates the intersection of two reference regions.

    region

      Region to intersect with.

    returns

      A smaller reference region.

    Definition Classes
      ReferenceRegion

21. #### def isAdjacent(region: ReferenceRegion): Boolean

    Returns whether two regions are adjacent.

    Returns whether two regions are adjacent.

    Adjacent regions do not overlap, but have no separation between start/end.

    region

      Region to compare against.

    returns

      True if regions are adjacent.

    Definition Classes
      ReferenceRegion

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def length(): Long

    returns

      The length of this region in bases.

    Definition Classes
      ReferenceRegion

24. #### def merge(region: ReferenceRegion): ReferenceRegion

    Merges two reference regions that are contiguous.

    Merges two reference regions that are contiguous.

    region

      Other region to merge with this region.

    returns

      The merger of both unions.

    Definition Classes
      ReferenceRegion
    Exceptions thrown
      AssertionError

      Thrown if regions are not overlapping or adjacent.

    See also

      hull

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def overlaps(other: ReferenceRegion): Boolean

    Checks if our region overlaps (wholly or partially) another region.

    Checks if our region overlaps (wholly or partially) another region.

    other

      The region to compare against.

    returns

      True if any section of the two regions overlap.

    Definition Classes
      ReferenceRegion → Interval

29. #### def pad(byStart: Long, byEnd: Long): ReferenceRegion

    Extends the current reference region at both the start and end, but by different numbers of bases.

    Extends the current reference region at both the start and end, but by different numbers of bases.

    byStart

      The number of bases to move the start position forward by.

    byEnd

      The number of bases to move the end position back by.

    returns

      Returns a new reference region where the start and/or end have been moved.

    Definition Classes
      ReferenceRegion

30. #### def pad(by: Long): ReferenceRegion

    Extends the current reference region at both the start and end.

    Extends the current reference region at both the start and end.

    by

      The number of bases to extend the region by from both the start and the end.

    returns

      Returns a new reference region where the start and end have been moved.

    Definition Classes
      ReferenceRegion

31. #### val pos: Long

    The position of this locus.

32. #### val referenceName: String

    The name of the reference contig this locus exists on.

    The name of the reference contig this locus exists on.

    Definition Classes
      ReferencePosition → ReferenceRegion

33. #### val start: Long

    Definition Classes
      ReferenceRegion → Interval

34. #### val strand: Strand

    The strand that this locus is on.

    The strand that this locus is on.

    Definition Classes
      ReferencePosition → ReferenceRegion

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def width: Long

    Definition Classes
      Interval

### Inherited from ReferenceRegion

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Interval[ReferenceRegion]

### Inherited from Comparable[ReferenceRegion]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped